<script>
  export let className
  export let closeFn
</script>

<div
  class={'modal flex justify-center items-center' + (className ? ' ' + className : '')}
  on:click={closeFn || (e => {})}
>
  <div
    class="flex flex-col rounded-lg bg-white dark:bg-gray-900 p-4 m-4"
    on:click|stopPropagation={() => {}}
  >
    <slot />
  </div>
</div>
